SDL_SysWMEvent Struct Reference

A video driver dependent system event (event.syswm.*) This event is disabled by default, you can enable it with SDL_EventState() More...

`#include <SDL_events.h>`

Collaboration diagram for SDL_SysWMEvent:
[legend]

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_SysWMmsg * | msg

## Detailed Description

A video driver dependent system event (event.syswm.*) This event is disabled by default, you can enable it with SDL_EventState()

Note
  If you want to use this event, you should include SDL_syswm.h.

Definition at line 511 of file SDL_events.h.

## Field Documentation

SDL_SysWMmsg* SDL_SysWMEvent::msg

driver dependent data, defined in SDL_syswm.h

Definition at line 515 of file SDL_events.h.

Referenced by SDL_AddEvent(), and SDL_PeepEvents().

Uint32 SDL_SysWMEvent::timestamp

Definition at line 514 of file SDL_events.h.

Uint32 SDL_SysWMEvent::type

SDL_SYSWMEVENT

Definition at line 513 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- include/SDL_events.h